# OAuthProvider::is2LeggedEndpoint

(PECL OAuth >= 1.0.0)

OAuthProvider::is2LeggedEndpoint — is2LeggedEndpoint

### Description

public OAuthProvider::is2LeggedEndpoint ( mixed `$params_array` ) : void

The 2-legged flow, or request signing. It does not require a token.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`params_array`

### Return Values

An OAuthProvider object.

### Examples

Example #1 OAuthProvider::is2LeggedEndpoint() example

`<?php
$provider = new OAuthProvider();
$provider->is2LeggedEndpoint(true);
?>`

### See Also

- OAuthProvider::__construct() - Constructs a new OAuthProvider object